# Making symlinks from date directories to latitude directories
#  and assembling all directional maps to a single pdf for the latitude

mkdir latitudes

LC_ALL="C"

Ye=2021

cd latitudes

 for L in 50s 40s 30s 20s 10s 0 10 20 30 40 50 60
 do

  LA=${L}
  
  mkdir $L 
  cd $L

#  for ZE in 25 40
#  do 
  
#   for D in \
#Jan15 Feb13 Mar15 Apr13 May13 Jun12 Jul11 Aug09 Sep07 Oct07 Nov06 Dec06


for MoDa in \
01-09 \
02-08 \
03-10 \
04-08 \
05-07 \
06-06 \
07-05 \
08-04 \
09-03 \
10-02 \
11-01 \
11-30 \
12-30

do
 Mo=${MoDa/-[0-9][0-9]}
 Da=${MoDa/[0-9][0-9]-}
echo $Mo $Da

MoNDa=`date --date=$Ye-$MoDa +%b%d`
echo $MoNDa

 
#   for C in Ori Leo Cet Crux Cyg Her Per Sco Sgr Peg Boo Gru
    for C in Ori Tau CMa Leo Crux Her Boo Sco Sgr Cyg Gru Peg

    do
     if [ -f ../../$MoNDa/$C/$LA.pdf ] 
     then
     ln -sf ../../$MoNDa/$C/$LA.pdf  ${MoNDa}$C.pdf 
     fi
    done 
   done

   pdftk \
Jan09*.pdf \
Feb08*.pdf \
Mar10*.pdf \
Apr08*.pdf \
May07*.pdf \
Jun06*.pdf \
Jul05*.pdf \
Aug04*.pdf \
Sep03*.pdf \
Oct02*.pdf \
Nov01*.pdf \
Nov30*.pdf \
Dec30*.pdf \
         cat output ${LA}.pdf
# the above list is an output of MonDa.sh 
   
  cd ..

 done

cd ..
